<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Arrows Widget .
 *
 */
class taxiar_Arrows extends Widget_Base {

	public function get_name() {
		return 'taxiararrows';
	}
	public function get_title() {
		return __( 'Slider Arrow', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'arrow_section',
			[
				'label'     => __( 'Slider Arrows', 'taxiar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
				],
			]
		);

        $this->add_control(
			'arrow_id', [
				'label' 		=> __( 'Arrow ID', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'serviceSlide' , 'taxiar' ),
				'rows' 			=> 2,
			]
        );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------------------------General Style-----------------------//
		$this->start_controls_section(
			'style',
			[
				'label' => __( 'Style', 'taxiar' ),
				'tab' 	=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_control(
			'color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .icon-box button' => 'color: {{VALUE}}!important',
				],
			]
		);

		$this->add_control(
			'color2',
			[
				'label' 		=> __( 'Hover Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .icon-box button:hover' => 'color: {{VALUE}}!important',
				],
			]
		);

		$this->add_control(
			'bg',
			[
				'label' 		=> __( 'Background Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .icon-box button' => '--white-color: {{VALUE}}!important',
				],
			]
		);

		$this->add_control(
			'bg2',
			[
				'label' 		=> __( 'Background Hover Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .icon-box button:hover' => '--theme-color: {{VALUE}}!important',
				],
			]
		);

		$this->add_responsive_control(
			'border_radius',
			[
				'label' 		=> __( 'Border Radius', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .icon-box button' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->end_controls_section();


	}

	protected function render() {

    $settings = $this->get_settings_for_display();
    ?>
        <?php if( $settings['layout_style'] == '2' ): ?>

			
        <?php else: ?>
			<div class="icon-box">
				<button data-slick-prev="#<?php echo esc_attr($settings['arrow_id']) ?>" class="slick-arrow default"><i class="far fa-arrow-left"></i></button>
				<button data-slick-next="#<?php echo esc_attr($settings['arrow_id']) ?>" class="slick-arrow default"><i class="far fa-arrow-right"></i></button>
			</div>
			
        <?php endif;
			
	}
}