
<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Contact Info Widget .
 *
 */
class Taxiar_Contact_Info extends Widget_Base {

	public function get_name() {
		return 'taxiarcontactinfo';
	}
	public function get_title() {
		return __( 'Contact Info', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'title_section',
			[
				'label' 	=> __( 'Contact Info', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2' 		=> __( 'Style Two', 'taxiar' ),
					'3' 		=> __( 'Style Three', 'taxiar' ),
				],
			]
		);

		$this->add_control(
			'image',
			[
				'label' 		=> __( 'Choose Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'condition' => [
					'layout_style' => ['1']
				]
			]
		);  

		$this->add_control(
			'button_link',
			[
				'label' 		=> esc_html__( 'Site Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> esc_html__( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
				'condition' => [
					'layout_style' => ['1']
				]
			]
		);

		$this->add_control(
			'image2',
			[
				'label' 		=> __( 'Choose Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'condition' => [
					'layout_style' => ['1']
				]
			]
		);  

		
		$this->add_control(
			'address_title',
            [
				'label'         => __( 'Address Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'Our Address' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);	

		$this->add_control(
			'address_icon',
            [
				'label'         => __( 'Address Icon', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '<i class="fal fa-location-dot"></i>' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);	
	
		$this->add_control(
			'address_name',
            [
				'label'         => __( 'Address Name', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '25 Street, 145 City, USA' , 'taxiar' ),
				'rows' 		=> 3,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);

		$this->add_control(
			'address_link',
			[
				'label' 		=> esc_html__( 'Address Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> esc_html__( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);

		$this->add_control(
			'email_title',
            [
				'label'         => __( 'Email Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'Email Address' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);	

		$this->add_control(
			'email_icon',
            [
				'label'         => __( 'Email Icon', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '<i class="fal fa-envelope"></i>' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);	

        $this->add_control(
			'email_address',
            [
				'label'         => __( 'Email Address', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'info@taxiar.com' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);

		$this->add_control(
			'phone_title',
            [
				'label'         => __( 'Phone Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'Phone Number' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);	


		$this->add_control(
			'phone_icon',
            [
				'label'         => __( 'Phone Icon', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '<i class="fal fa-phone"></i>' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);	

		$this->add_control(
			'phone_number',
            [
				'label'         => __( 'Phone Number', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '+11 (456) 568 65' , 'taxiar' ),
				'label_block'   => true,
				'condition' => [
					'layout_style' => ['1', '2']
				]
			]
		);

		$repeater = new Repeater();

		$repeater->add_control(
			'tab_name',
            [
				'label'         => __( 'Tab Name', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'USA BRANCE' , 'taxiar' ),
				'label_block'   => true,
			]
		);

		$repeater->add_control(
			'address_title',
            [
				'label'         => __( 'Address Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'OUR OFFICE LOCATION' , 'taxiar' ),
				'label_block'   => true,
			]
		);	

		$repeater->add_control(
			'address_icon',
            [
				'label'         => __( 'Address Icon', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '<i class="fa-light fa-map-location-dot"></i>' , 'taxiar' ),
				'label_block'   => true,
			]
		);	
	
		$repeater->add_control(
			'address_name',
            [
				'label'         => __( 'Address Name', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '25 Street, City Road, USA' , 'taxiar' ),
				'rows' 		=> 3,
			]
		);

		$repeater->add_control(
			'email_title',
            [
				'label'         => __( 'Email Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'Any question? email us!' , 'taxiar' ),
				'label_block'   => true,
			]
		);	

		$repeater->add_control(
			'email_icon',
            [
				'label'         => __( 'Email Icon', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '<i class="fa-light fa-envelopes-bulk"></i>' , 'taxiar' ),
				'label_block'   => true,
			]
		);	

        $repeater->add_control(
			'email_address',
            [
				'label'         => __( 'Email Address', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'info@taxiar.com' , 'taxiar' ),
				'label_block'   => true,
			]
		);

		$repeater->add_control(
			'phone_title',
            [
				'label'         => __( 'Phone Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( 'Have A Question?' , 'taxiar' ),
				'label_block'   => true,
			]
		);	

		$repeater->add_control(
			'phone_icon',
            [
				'label'         => __( 'Phone Icon', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '<i class="fa-light fa-phone-arrow-up-right"></i>' , 'taxiar' ),
				'label_block'   => true,
			]
		);	

		$repeater->add_control(
			'phone_number',
            [
				'label'         => __( 'Phone Number', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '+(468)-2547-62443' , 'taxiar' ),
				'label_block'   => true,
			]
		);

		$this->add_control(
			'contact_lists',
			[
				'label' 		=> __( 'Contact Info List', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'tab_name' 		=> __( 'USA BRANCE', 'taxiar' ),
					],
				],
				'title_field' => '{{{ tab_name }}}',
				'condition' => [
					'layout_style' => ['3']
				]
			]
		);


        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------------------------Content Style-----------------------//
		$this->start_controls_section(
			'tab_styling',
			[
				'label' 	=> __( 'Content Styling', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->start_controls_tabs(
			'style_tabs'
		);

			$this->start_controls_tab(
				'first_style_tab',
				[
					'label' => esc_html__( 'Title', 'taxiar' ),
				]
			);

			$this->add_control(
				'first_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-title'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'first_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-title',
				]
			);

			$this->add_responsive_control(
				'first_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'first_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'sec_style_tab',
				[
					'label' => esc_html__( 'Content', 'taxiar' ),
				]
			);

			$this->add_control(
				'sec_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-info'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_control(
				'sec_tab_color2',
				[
					'label' 		=> __( 'Hover Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-info:hover'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'sec_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-info',
				]
			);

			$this->add_responsive_control(
				'sec_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-info' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'sec_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-info' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------threth--------------------//
			$this->start_controls_tab(
				'third_style_tab',
				[
					'label' => esc_html__( 'Icon', 'taxiar' ),
				]
			);

			$this->add_control(
				'third_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-wrap i'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_control(
				'third_tab_bg',
				[
					'label' 		=> __( 'Background', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-wrap i'	=> 'background-color: {{VALUE}}!important;',
					],
				]
			);


			$this->end_controls_tab();

		$this->end_controls_tabs();
		$this->end_controls_section();
		
	}

	protected function render() {

        $settings = $this->get_settings_for_display();

        $email    	= $settings['email_address'];
		$phone    	= $settings['phone_number'];              

		$email          = is_email( $email );

		$replace        = array(' ','-',' - ');
		$replace_phone        = array(' ','-',' - ', '(', ')');
		$with           = array('','','');

		$emailurl       = str_replace( $replace, $with, $email );
		$phoneurl       = str_replace( $replace_phone, $with, $phone );				
        ?>
        <?php if( $settings['layout_style'] == '2' ): ?>
			<div class="th-widget-about th-wrap">
				<h4 class="footer-info-title th-title"><?php echo esc_html($settings['phone_title']); ?></h4>
				<p class="footer-info"><?php echo wp_kses_post($settings['phone_icon']); ?><a class="text-inherit th-info" href="<?php echo esc_attr( 'tel:'.$phoneurl); ?>"><?php echo esc_html($phone); ?></a></p>
				<h4 class="footer-info-title th-title"><?php echo esc_html($settings['email_title']); ?></h4>
				<p class="footer-info"><?php echo wp_kses_post($settings['email_icon']); ?><a class="text-inherit th-info" href="<?php echo esc_attr( 'mailto:'.$emailurl); ?>"><?php echo esc_html($email); ?></a></p>
				<h4 class="footer-info-title th-title"><?php echo esc_html($settings['address_title']); ?></h4>
				<p class="footer-info"><?php echo wp_kses_post($settings['address_icon']); ?><a href="<?php echo esc_url( $settings['address_link']['url'] ); ?>" class="text-inherit th-info"><?php echo wp_kses_post($settings['address_name']); ?></a></p>
			</div>

		<?php elseif( $settings['layout_style'] == '3' ): ?>
			<div class="nav tab-menu3" id="tab-menu3" role="tablist">
				<?php foreach( $settings['contact_lists'] as $key => $data ) : 
					$active = ($key == 0) ? 'active':'';
				?>
                <button class="th-btn <?php echo esc_attr($active); ?>" id="nav-one-tab<?php echo esc_attr($key); ?>" data-bs-toggle="tab" data-bs-target="#nav-one<?php echo esc_attr($key); ?>" type="button" role="tab" aria-controls="nav-one<?php echo esc_attr($key); ?>" aria-selected="true"><?php echo esc_html($data['tab_name']); ?></button>
				<?php endforeach; ?>
            </div>
            <div class="tab-content">
				<?php foreach( $settings['contact_lists'] as $key => $data ) :  
					$active = ($key == 0) ? 'show active':'';

					$email    	= $data['email_address'];
					$phone    	= $data['phone_number'];              
			
					$email          = is_email( $email );
			
					$replace        = array(' ','-',' - ');
					$replace_phone        = array(' ','-',' - ', '(', ')');
					$with           = array('','','');
			
					$emailurl       = str_replace( $replace, $with, $email );
					$phoneurl       = str_replace( $replace_phone, $with, $phone );		
				?>
                <div class="tab-pane fade <?php echo esc_attr($active); ?>" id="nav-one<?php echo esc_attr($key); ?>" role="tabpanel" aria-labelledby="nav-one-tab<?php echo esc_attr($key); ?>">
                    <div class="row gy-30 justify-content-center">
                        <div class="col-md-6 col-lg-4">
                            <div class="contact-box style2">
                                <div class="contact-box_content">
                                    <div class="contact-box_icon">
										<?php echo wp_kses_post($data['address_icon']); ?>
									</div>
                                    <div class="contact-box_info">
                                        <p class="contact-box_text">
											<?php echo esc_html($data['address_title']); ?>
										</p>
                                        <h5 class="contact-box_link">
											<?php echo wp_kses_post($data['address_name']); ?>
										</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-4">
                            <div class="contact-box style2">
                                <div class="contact-box_content">
                                    <div class="contact-box_icon">
										<?php echo wp_kses_post($data['phone_icon']); ?>
									</div>
                                    <div class="contact-box_info">
                                        <p class="contact-box_text">
											<?php echo esc_html($data['phone_title']); ?>
										</p>
                                        <h5 class="contact-box_link"><a href="<?php echo esc_attr( 'tel:'.$phoneurl); ?>"><?php echo esc_html($phone); ?></a></h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-4">
                            <div class="contact-box style2">
                                <div class="contact-box_content">
                                    <div class="contact-box_icon">
										<?php echo wp_kses_post($data['email_icon']); ?>
									</div>
                                    <div class="contact-box_info">
                                        <p class="contact-box_text">
											<?php echo esc_html($data['email_title']); ?>
										</p>
                                        <h5 class="contact-box_link"><a href="<?php echo esc_attr( 'mailto:'.$emailurl); ?>"><?php echo esc_html($email); ?></a></h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php endforeach; ?>
            </div>
			
        <?php else: ?>
			<div class="contact-card style2 th-wrap">
                <div class="info-card style3 active">
                    <div class="footer-logo">
                        <a href="<?php echo esc_url( $settings['button_link']['url'] ); ?>">
							<?php echo taxiar_img_tag( array(
								'url'   => esc_url( $settings['image']['url'] ),
							)); ?>
						</a>
                    </div>
                </div>
                <div class="info-card style3">
                    <div class="border-line" data-bg-src="<?php echo esc_url($settings['image2']['url']); ?>"></div>
                    <div class="info-card_icon">
						<?php echo wp_kses_post($settings['address_icon']); ?>
                    </div>
                    <div class="info-card_content">
                        <p class="info-card_text th-title"><?php echo esc_html($settings['address_title']); ?></p>
                        <a href="<?php echo esc_url( $settings['address_link']['url'] ); ?>" class="info-card_link th-info"><?php echo wp_kses_post($settings['address_name']); ?></a>
                    </div>
                </div>
                <div class="info-card style3">
                    <div class="border-line" data-bg-src="<?php echo esc_url($settings['image2']['url']); ?>"></div>
                    <div class="info-card_icon">
						<?php echo wp_kses_post($settings['email_icon']); ?>
                    </div>
                    <div class="info-card_content">
                        <p class="info-card_text th-title"><?php echo esc_html($settings['email_title']); ?></p>
                        <a href="<?php echo esc_attr( 'mailto:'.$emailurl); ?>" class="info-card_link th-info"><?php echo esc_html($email); ?></a>
                    </div>
                </div>
                <div class="info-card style3">
                    <div class="border-line" data-bg-src="<?php echo esc_url($settings['image2']['url']); ?>"></div>
                    <div class="info-card_icon">
						<?php echo wp_kses_post($settings['phone_icon']); ?>
                    </div>
                    <div class="info-card_content">
                        <p class="info-card_text th-title"><?php echo esc_html($settings['phone_title']); ?></p>
                        <a href="<?php echo esc_attr( 'tel:'.$phoneurl); ?>" class="info-card_link th-info"><?php echo esc_html($phone); ?></a>
                    </div>
                </div>
            </div>

        <?php  endif;

	}

}
