<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Group_Control_Border;
use \Elementor\Group_Control_Box_Shadow;
/**
 *
 * Download Button Widget .
 *
 */
class taxiar_Download_Button extends Widget_Base {

	public function get_name() {
		return 'taxiardownloadbutton';
	}
	public function get_title() {
		return __( 'Download Button', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'button_section',
			[
				'label' 	=> __( 'Download Button', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2' 		=> __( 'Style Two', 'taxiar' ),
				],
			]
		);

		$this->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'taxiar' ),
				'type' 		=> Controls_Manager::TEXT,
				'label_block' => true,
				'default'  	=> __( 'Download', 'taxiar' ),
				'condition' => [
					'layout_style' => ['2']
				]
			]
		);


		$this->start_controls_tabs(
			'style_tabs'
		);

            $this->start_controls_tab(
                'first_style_tab',
                [
                    'label' => esc_html__( 'Button 1', 'taxiar' ),
                ]
            );

            $this->add_control(
                'button_icon',
                [
                    'label' 	=> __( 'Button Icon Class', 'taxiar' ),
                    'type' 		=> Controls_Manager::TEXTAREA,
                    'rows' 		=> 2,
                    'default'  	=> '<i class="fa-brands fa-google-play"></i>',
                ]
            );
    
            $this->add_control(
                'button_s_text',
                [
                    'label' 	=> __( 'Button Smaill Text', 'taxiar' ),
                    'type' 		=> Controls_Manager::TEXT,
                    'label_block' => true,
                    'default'  	=> __( 'Button Text', 'taxiar' )
                ]
            );
    
            $this->add_control(
                'button_text',
                [
                    'label' 	=> __( 'Button Text', 'taxiar' ),
                    'type' 		=> Controls_Manager::TEXT,
                    'label_block' => true,
                    'default'  	=> __( 'Button Text', 'taxiar' )
                ]
            );
    
            $this->add_control(
                'button_link',
                [
                    'label' 		=> __( 'Button Link', 'taxiar' ),
                    'type' 			=> Controls_Manager::URL,
                    'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
                    'show_external' => true,
                    'default' 		=> [
                        'url' 			=> '#',
                        'is_external' 	=> false,
                        'nofollow' 		=> false,
                    ],
                ]
            );

            $this->end_controls_tab();

            //--------------------secound--------------------//
            $this->start_controls_tab(
                'sec_style_tab',
                [
                    'label' => esc_html__( 'Button 2', 'taxiar' ),
                ]
            );

            $this->add_control(
                'button_icon2',
                [
                    'label' 	=> __( 'Button Icon Class', 'taxiar' ),
                    'type' 		=> Controls_Manager::TEXTAREA,
                    'rows' 		=> 2,
                    'default'  	=> '<i class="fa-brands fa-apple"></i>',
                ]
            );
    
            $this->add_control(
                'button_s_text2',
                [
                    'label' 	=> __( 'Button Smaill Text', 'taxiar' ),
                    'type' 		=> Controls_Manager::TEXT,
                    'label_block' => true,
                    'default'  	=> __( 'Button Text', 'taxiar' )
                ]
            );
    
            $this->add_control(
                'button_text2',
                [
                    'label' 	=> __( 'Button Text', 'taxiar' ),
                    'type' 		=> Controls_Manager::TEXT,
                    'label_block' => true,
                    'default'  	=> __( 'Button Text', 'taxiar' )
                ]
            );
    
            $this->add_control(
                'button_link2',
                [
                    'label' 		=> __( 'Button Link', 'taxiar' ),
                    'type' 			=> Controls_Manager::URL,
                    'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
                    'show_external' => true,
                    'default' 		=> [
                        'url' 			=> '#',
                        'is_external' 	=> false,
                        'nofollow' 		=> false,
                    ],
                ]
            );

            $this->end_controls_tab();

        $this->end_controls_tabs();

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------------------------Title Style-----------------------//
		$this->start_controls_section(
			'title_style',
			[
				'label' 	=> __( 'Title Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
				'condition' => [
					'layout_style' => ['2']
				]
			]
		);

		$this->add_control(
			'title_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'color: {{VALUE}} !important',
				],
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'title_typography',
				'label' 	=> __( 'Typography', 'taxiar' ),
				'selector' 	=> '{{WRAPPER}} .th-title',
			]
		);

		$this->add_responsive_control(
			'title_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->add_responsive_control(
			'title_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);
		
		$this->end_controls_section();

		//-------------------------Button Style-----------------------//
		$this->start_controls_section(
			'button_style_section',
			[
				'label' 	=> __( 'Button Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'button_typography',
				'label' 	=> __( 'Typography', 'taxiar' ),
				'selector' 	=> '{{WRAPPER}} .th_btn',
			]
		);

		$this->start_controls_tabs(
			'button_style_tabs'
		);

			$this->start_controls_tab(
				'normal_style_tab',
				[
					'label' => esc_html__( 'Normal', 'taxiar' ),
				]
			);

			$this->add_control(
				'button_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn' => 'color: {{VALUE}}',
					],
				]
			);
	
			$this->add_control(
				'button_bg',
				[
					'label' 		=> __( 'Background Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn' => 'background-color:{{VALUE}}',
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' => 'border',
					'selector' => '{{WRAPPER}} .th_btn',
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'hover_style_tab',
				[
					'label' => esc_html__( 'Hover', 'taxiar' ),
				]
			);

			$this->add_control(
				'button_h_color',
				[
					'label' 		=> __( 'Hover Color ', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn:hover' => 'color: {{VALUE}}',
					],
				]
			);

			$this->add_control(
				'button_h_bg',
				[
					'label' 		=> __( 'Background Hover Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn:hover' => 'background-color:{{VALUE}} !important',
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' => 'border2',
					'selector' => '{{WRAPPER}} .th_btn:hover',
				]
			);

			$this->end_controls_tab();

		$this->end_controls_tabs();

		$this->add_control(
			'hr',
			[
				'type' => \Elementor\Controls_Manager::DIVIDER,
			]
		);

		$this->add_responsive_control(
			'button_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->add_responsive_control(
			'button_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);
		
		$this->add_responsive_control(
			'button_border_radius',
			[
				'label' 		=> __( 'Border Radius', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->end_controls_section();

		//-------------------------Button Style-----------------------//
		$this->start_controls_section(
			'button_style_section2',
			[
				'label' 	=> __( 'Button 2 Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'button_typography2',
				'label' 	=> __( 'Typography', 'taxiar' ),
				'selector' 	=> '{{WRAPPER}} .th_btn2',
			]
		);

		$this->start_controls_tabs(
			'button_style_tabs2'
		);

			$this->start_controls_tab(
				'normal_style_tab2',
				[
					'label' => esc_html__( 'Normal', 'taxiar' ),
				]
			);

			$this->add_control(
				'button_color2',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn2' => 'color: {{VALUE}}',
					],
				]
			);
	
			$this->add_control(
				'button_bg2',
				[
					'label' 		=> __( 'Background Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn2' => 'background-color:{{VALUE}}',
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' => 'border3',
					'selector' => '{{WRAPPER}} .th_btn2',
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'hover_style_tab2',
				[
					'label' => esc_html__( 'Hover', 'taxiar' ),
				]
			);

			$this->add_control(
				'button_h_color2',
				[
					'label' 		=> __( 'Hover Color ', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn2:hover' => 'color: {{VALUE}}',
					],
				]
			);

			$this->add_control(
				'button_h_bg2',
				[
					'label' 		=> __( 'Background Hover Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn2:hover' => 'background-color:{{VALUE}} !important',
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' => 'border4',
					'selector' => '{{WRAPPER}} .th_btn2:hover',
				]
			);

			$this->end_controls_tab();

		$this->end_controls_tabs();

		$this->add_control(
			'hr2',
			[
				'type' => \Elementor\Controls_Manager::DIVIDER,
			]
		);

		$this->add_responsive_control(
			'button_margin2',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn2' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->add_responsive_control(
			'button_padding2',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn2' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);
		
		$this->add_responsive_control(
			'button_border_radius2',
			[
				'label' 		=> __( 'Border Radius', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn2' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->end_controls_section();

    }

	protected function render() {

    $settings = $this->get_settings_for_display();
    ?>
	    <?php if( $settings['layout_style'] == '2' ): ?>
			<div class="widget widget_download  ">
				<h4 class="widget_title th-title"><?php echo esc_html( $settings['title'] ); ?></h4>
				<div class="donwload-media-wrap">
					<div class="download-media th_btn">
						<div class="download-media_icon">
							<?php echo wp_kses_post($settings['button_icon']); ?>
						</div>
						<div class="download-media_info">
							<h5 class="download-media_title"><?php echo esc_html( $settings['button_s_text'] ); ?></h5>
							<span class="download-media_text"><?php echo esc_html( $settings['button_text'] ); ?></span>
						</div>
						<a href="<?php echo esc_url( $settings['button_link']['url'] ); ?>" class="download-media_btn"><i class="far fa-arrow-right"></i></a>
					</div>
					<div class="download-media th_btn2">
						<div class="download-media_icon">
							<?php echo wp_kses_post($settings['button_icon2']); ?>
						</div>
						<div class="download-media_info">
							<h5 class="download-media_title"><?php echo esc_html( $settings['button_s_text2'] ); ?></h5>
							<span class="download-media_text"><?php echo esc_html( $settings['button_text2'] ); ?></span>
						</div>
						<a href="<?php echo esc_url( $settings['button_link2']['url'] ); ?>" class="download-media_btn"><i class="far fa-arrow-right"></i></a>
					</div>
				</div>
			</div>

		<?php else: ?>
        <div class="download-btn-wrap style2">
            <a target="_blank" href="<?php echo esc_url( $settings['button_link']['url'] ); ?>" class="download-btn th_btn">
                <?php echo wp_kses_post($settings['button_icon']); ?>
                <div class="text-group">
                    <span class="small-text"><?php echo esc_html( $settings['button_s_text'] ); ?></span>
                    <h6 class="big-text"><?php echo esc_html( $settings['button_text'] ); ?></h6>
                </div>
            </a>
            <a target="_blank" href="<?php echo esc_url( $settings['button_link2']['url'] ); ?>" class="download-btn style2 th_btn2">
                <?php echo wp_kses_post($settings['button_icon2']); ?>
                <div class="text-group">
                    <span class="small-text"><?php echo esc_html( $settings['button_s_text2'] ); ?></span>
                    <h6 class="big-text"><?php echo esc_html( $settings['button_text2'] ); ?></h6>
                </div>
            </a>
        </div>

    <?php endif;

	}

}