<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
/**
 *
 * Testimonial Slider Widget .
 *
 */
class taxiar_Testimonial extends Widget_Base{

	public function get_name() {
		return 'taxiartestimonialslider';
	}
	public function get_title() {
		return __( 'Testimonial Slider', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'testimonial_slider_section',
			[
				'label' 	=> __( 'Testimonial Slider', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
		);

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2' 		=> __( 'Style Two', 'taxiar' ),
					'3' 		=> __( 'Style Three', 'taxiar' ),
				],
			]
		);

		$this->add_control(
			'arrow_id', [
				'label' 		=> __( 'Arrow ID', 'taxiar' ),
				'description' 		=> __( 'If arrow widget connect this slider', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'testiSlide' , 'taxiar' ),
				'rows' 			=> 2,
				'condition'	=> [
					'layout_style' => ['1', '2']
				]
			]
        );

		$this->add_control(
			'image',
			[
				'label' 		=> __( 'Choose Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'condition'	=> [
					'layout_style' => ['2', '3'],
				]
			]
		);   

		$this->add_control(
			'image2',
			[
				'label' 		=> __( 'Choose Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'condition'	=> [
					'layout_style' => ['2', '3'],
				]
			]
		);  

		$this->add_control(
			'image3',
			[
				'label' 		=> __( 'Subtitle shape', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);
		
        $this->add_control(
			'section_subtitle',
			[
				'label' 	=> __( 'Section Subtitle', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'default'  	=> __( 'Section Subtitle', 'taxiar' ),
                'rows' => '2',
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
        );

		$this->add_control(
			'section_title',
			[
				'label' 	=> __( 'Section Title', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'default'  	=> __( 'Section Title', 'taxiar' ),
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
        );

		$repeater = new Repeater();

		$repeater->add_control(
			'client_image',
			[
				'label' 		=> __( 'Client Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'default' 		=> [
					'url' => Utils::get_placeholder_image_src(),
				],
			]
		);

		$repeater->add_control(
			'quote_image',
			[
				'label' 		=> __( 'Quote Icon', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
			]
		);

		$repeater->add_control(
			'client_name', [
				'label' 		=> __( 'Client Name', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Vlademir Hilto' , 'taxiar' ),
				'label_block' 	=> true,
			]
        );

		$repeater->add_control(
			'client_desig', [
				'label' 		=> __( 'Client Designation', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'IT Student' , 'taxiar' ),
				'label_block' 	=> true,
			]
        );

        $repeater->add_control(
			'client_feedback', [
				'label' 		=> __( 'Client Feedback', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( '“Quickly maximize visionary solutions after mission critical action items productivate premium portals for impactful -services stinctively negotiate enabled niche markets via growth strategies”' , 'taxiar' ),
				'label_block' 	=> true,
			]
		);

		$repeater->add_control(
			'client_rating',
			[
				'label' 	=> __( 'Client Rating', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '5',
				'options' 	=> [
					'one'  		=> __( 'One Star', 'taxiar' ),
					'two' 		=> __( 'Two Star', 'taxiar' ),
					'three' 	=> __( 'Three Star', 'taxiar' ),
					'four' 		=> __( 'Four Star', 'taxiar' ),
					'five' 	 	=> __( 'Five Star', 'taxiar' ),
				],
			]
		);

		$this->add_control(
			'slides',
			[
				'label' 		=> __( 'Slides', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'client_image' 		=> Utils::get_placeholder_image_src(),
					],
				],
				'title_field' 	=> '{{{ client_name }}}',
			]
		);

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		 //-------------------------Subtitle Style-----------------------//
		 $this->start_controls_section(
			'subtitle_style',
			[
				'label' 	=> __( 'Subtitle Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

		$this->add_control(
			'subtitle_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .th-sub' => 'color: {{VALUE}}',
                ],
			]
        );		

        $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'subtitle_typography',
				'label' 	=> __( 'Typography', 'taxiar' ),
                'selector' 	=> '{{WRAPPER}} .th-sub',
			]
        );

        $this->add_responsive_control(
			'subtitle_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-sub' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
        );

        $this->add_responsive_control(
			'subtitle_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-sub' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
		);

		$this->end_controls_section();

		//-------------------------Title Style-----------------------//
		$this->start_controls_section(
			'title_style',
			[
				'label' 	=> __( 'Title Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

		$this->add_control(
			'title_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'color: {{VALUE}} !important',
				],
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'title_typography',
				'label' 	=> __( 'Typography', 'taxiar' ),
				'selector' 	=> '{{WRAPPER}} .th-title',
			]
		);

		$this->add_responsive_control(
			'title_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->add_responsive_control(
			'title_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);
		$this->end_controls_section();

		//-------------------------Content Style-----------------------//
		$this->start_controls_section(
			'tab_styling',
			[
				'label' 	=> __( 'Content Styling', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
        );

			$this->start_controls_tabs(
				'style_tabs'
			);

			$this->start_controls_tab(
				'first_style_tab',
				[
					'label' => esc_html__( 'Nmae', 'taxiar' ),
				]
			);

			$this->add_control(
				'first_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-name'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
				[
					'name' 			=> 'first_tab_typography',
					'label' 		=> __( 'Typography', 'taxiar' ),
					'selector' 	=> '{{WRAPPER}} .th-name',
				]
			);

			$this->add_responsive_control(
				'first_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-name' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'first_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-name' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);
			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'sec_style_tab',
				[
					'label' => esc_html__( 'Designation', 'taxiar' ),
				]
			);

			$this->add_control(
				'sec_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ), 
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-desig'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
				[
					'name' 			=> 'sec_tab_typography',
					'label' 		=> __( 'Typography', 'taxiar' ),
					'selector' 	=> '{{WRAPPER}} .th-desig',
				]
			);

			$this->add_responsive_control(
				'sec_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desig' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'sec_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desig' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------threth--------------------//
			$this->start_controls_tab(
				'third_style_tab',
				[
					'label' => esc_html__( 'Feedback', 'taxiar' ),
				]
			);

			$this->add_control(
				'third_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-text'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
				[
					'name' 			=> 'third_tab_typography',
					'label' 		=> __( 'Typography', 'taxiar' ),
					'selector' 	=> '{{WRAPPER}} .th-text',
				]
			);

			$this->add_responsive_control(
				'third_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-text' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'third_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-text' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			$this->end_controls_tabs();
		$this->end_controls_section();

	}

	protected function render() {

		$settings = $this->get_settings_for_display();
		?>
		<?php if( $settings['layout_style'] == '2' ): ?>
			<div class="row slider-shadow active-slider th-carousel arrow-wrap" id="<?php echo esc_attr($settings['arrow_id']) ?>" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2">
				<?php foreach( $settings['slides'] as $data ) : ?>
                <div class="col-md-6 col-xl-4">
                    <div class="testi-item style2">
                        <div class="testi-item_star">
							<?php 
								if( $data['client_rating'] == 'one' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}elseif( $data['client_rating'] == 'two' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}elseif( $data['client_rating'] == 'three' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}elseif( $data['client_rating'] == 'four' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}else{
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
								}
							?>
                        </div>
						<p class="testi-item_text th-text"><?php echo wp_kses_post( $data['client_feedback'] ); ?></p>
                        <div class="testi-item_wrapp">
                            <div class="testi-item_profile">
                                <div class="testi-item_img">
									<?php  echo taxiar_img_tag( array(
										'url'	=> esc_url( $data['client_image']['url'] ),
									) ); ?>
                                </div>
                                <div class="media-body">
									<h3 class="testi-item_name th-name"><?php echo esc_html( $data['client_name'] ); ?></h3>
									<p class="testi-item_desig th-desig"><?php echo esc_html( $data['client_desig'] ); ?></p>
                                </div>

                                <div class="testi-item_quote">
									<?php  echo taxiar_img_tag( array(
										'url'	=> esc_url( $data['quote_image']['url'] ), 
									) ); ?>
								</div>
                            </div>
                        </div>
                        <div class="testi-shape">
							<?php echo taxiar_img_tag( array(
								'url'   => esc_url( $settings['image']['url'] ),
							)); ?>
						</div>
                        <div class="testi-shape2">
							<?php echo taxiar_img_tag( array(
								'url'   => esc_url( $settings['image2']['url'] ),
							)); ?>
						</div>
                    </div>
                </div>
				<?php endforeach; ?>
            </div>

		<?php elseif( $settings['layout_style'] == '3' ): ?>
			<div class="testi-box-area" data-bg-src="<?php echo esc_url($settings['image']['url']); ?>">
				<div class="testi-box-slide">
					<div class="title-area text-center text-xl-start mb-30">
						<span class="sub-title style2 th-sub">
							<?php echo taxiar_img_tag( array(
								'url'   => esc_url( $settings['image3']['url'] ),
							)); ?>
							<?php echo wp_kses_post($settings['section_subtitle']) ?>
						</span>
						<h2 class="sec-title th-title"><?php echo wp_kses_post($settings['section_title']) ?></h2>
					</div>
					<div class="slider-shadow th-carousel arrow-wrap" id="testiSlide1" data-slide-show="1" data-fade="true">
						<?php foreach( $settings['slides'] as $data ) : ?>
						<div>
							<div class="testi-box">
								<div class="testi-star">
								<?php 
									if( $data['client_rating'] == 'one' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}elseif( $data['client_rating'] == 'two' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}elseif( $data['client_rating'] == 'three' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}elseif( $data['client_rating'] == 'four' ){
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-regular fa-star"></i>';
									}else{
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
										echo '<i class="fa-solid fa-star"></i>';
									}
								?>
								</div>
								<p class="testi-box_text th-text"><?php echo wp_kses_post( $data['client_feedback'] ); ?></p>
								<div class="testi-box_wrapper">
									<div class="testi-box_profile">
										<div class="testi-box_avater">
											<?php  echo taxiar_img_tag( array(
												'url'	=> esc_url( $data['client_image']['url'] ),
											) ); ?>
										</div>
										<div class="media-body">
											<h3 class="testi-box_name th-name"><?php echo esc_html( $data['client_name'] ); ?></h3>
											<p class="testi-box_desig th-desig"><?php echo esc_html( $data['client_desig'] ); ?></p>
										</div>
									</div>
									<div class="testi-box_quote">
										<?php  echo taxiar_img_tag( array(
											'url'	=> esc_url( $data['quote_image']['url'] ),
										) ); ?>
									</div>
								</div>
							</div>
						</div>
						<?php endforeach; ?>
					</div>
				</div>
				<div class="testi-box-img">
					<?php echo taxiar_img_tag( array(
							'url'   => esc_url( $settings['image2']['url'] ),
						)); ?>
				</div>
			</div>

		<?php else: ?>
			<div class="row slider-shadow th-carousel arrow-wrap" id="<?php echo esc_attr($settings['arrow_id']) ?>" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2">
				<?php foreach( $settings['slides'] as $data ) : ?>
                <div class="col-md-6 col-xl-4">
                    <div class="testi-item">
						<p class="testi-item_text th-text"><?php echo wp_kses_post( $data['client_feedback'] ); ?></p>
                        <div class="testi-item_wrapper">
                            <div class="testi-item_profile">
                                <div class="testi-item_img">
									<?php  echo taxiar_img_tag( array(
										'url'	=> esc_url( $data['client_image']['url'] ),
									) ); ?>
                                </div>
                                <div class="media-body">
									<h3 class="testi-item_name th-name"><?php echo esc_html( $data['client_name'] ); ?></h3>
									<p class="testi-item_desig th-desig"><?php echo esc_html( $data['client_desig'] ); ?></p>
                                </div>

                                <div class="testi-item_quote">
									<?php  echo taxiar_img_tag( array(
										'url'	=> esc_url( $data['quote_image']['url'] ),
									) ); ?>
								</div>
                            </div>
                        </div>
                        <div class="testi-item_review">
							<?php 
								if( $data['client_rating'] == 'one' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}elseif( $data['client_rating'] == 'two' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}elseif( $data['client_rating'] == 'three' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}elseif( $data['client_rating'] == 'four' ){
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-regular fa-star"></i>';
								}else{
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
									echo '<i class="fa-solid fa-star"></i>';
								}
							?>
                        </div>
                    </div>
                </div>
              	<?php endforeach; ?>
            </div>

		<?php endif;

	}

}