<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Counter Up Widget .
 *
 */
class taxiar_Counterup extends Widget_Base {

	public function get_name() {
		return 'taxiarcounterup';
	}
	public function get_title() {
		return __( 'Counter Up', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'counter_section',
			[
				'label' 	=> __( 'Counter Up', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2' 		=> __( 'Style Two', 'taxiar' ),
					'3' 		=> __( 'Style Three', 'taxiar' ),
				],
			]
		);   

		$this->add_control(
			'shape',
			[
				'label' 		=> __( 'Shape Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'condition'	=> [
					'layout_style' => ['2'],
				]
			]
		); 

		$repeater = new Repeater();

		$repeater->add_control(
            'counter_icon',
            [
                'label'     => __( 'Counter Icon', 'taxiar' ),
                'type'      => Controls_Manager::MEDIA,
                'dynamic' 		=> [
					'active' 		=> true,
				],
            ]
        );

		$repeater->add_control(
			'counter_number',
			[
				'label'     => __( 'Counter Number', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows' 		=> 2,
				'default' 	=> __( '25', 'taxiar' ),
			]
		);	
		
		$repeater->add_control(
			'counter_number_after',
			[
				'label'     => __( 'Counter Number After', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows' 		=> 2,
				'default' 	=> __( '', 'taxiar' ),
			]
		);	

		$repeater->add_control(
			'counter_text',
			[
				'label'     => __( 'Counter Text', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows' 		=> 2,
				'default' 	=> __( 'Project Completed', 'taxiar' ),
			]
		);

		$this->add_control(
			'counter_list',
			[
				'label' 		=> __( 'Counter', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'counter_text' 		=> __( 'Counter One', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1', '2'],
				]
			]
		);


		$repeater2 = new Repeater();

		$repeater2->add_control(
			'counter_number',
			[
				'label'     => __( 'Counter Number', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows' 		=> 2,
				'default' 	=> __( '25', 'taxiar' ),
			]
		);	
		
		$repeater2->add_control(
			'counter_number_after',
			[
				'label'     => __( 'Counter Number After', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows' 		=> 2,
				'default' 	=> __( '', 'taxiar' ),
			]
		);	

		$repeater2->add_control(
			'counter_text',
			[
				'label'     => __( 'Counter Title', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows' 		=> 2,
				'default' 	=> __( 'Project Completed', 'taxiar' ),
			]
		);

		$repeater2->add_control(
			'counter_text2',
			[
				'label'     => __( 'Counter Text', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows' 		=> 2,
				'default' 	=> __( '', 'taxiar' ),
			]
		);

		$this->add_control(
			'counter_list_2',
			[
				'label' 		=> __( 'Counter', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater2->get_controls(),
				'default' 		=> [
					[
						'counter_title' 		=> __( 'Counter One', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

		$this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------------------------Content Style-----------------------//
		$this->start_controls_section(
			'tab_styling',
			[
				'label' 	=> __( 'Content Styling', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->start_controls_tabs(
			'style_tabs'
		);

			$this->start_controls_tab(
				'first_style_tab',
				[
					'label' => esc_html__( 'Number', 'taxiar' ),
				]
			);

			$this->add_control(
				'first_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-num'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'first_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-num',
				]
			);

			$this->add_responsive_control(
				'first_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-num' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'first_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-num' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'sec_style_tab',
				[
					'label' => esc_html__( 'Title', 'taxiar' ),
				]
			);

			$this->add_control(
				'sec_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-title'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'sec_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-title',
				]
			);

			$this->add_responsive_control(
				'sec_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'sec_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------threth--------------------//
			$this->start_controls_tab(
				'third_style_tab',
				[
					'label' => esc_html__( 'Description', 'taxiar' ),
					'condition'	=> [
						'layout_style' => ['3'],
					]
				]
			);

			$this->add_control(
				'third_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'third_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-desc',
				]
			);

			$this->add_responsive_control(
				'third_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'third_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

		$this->end_controls_tabs();

		$this->end_controls_section();

	}

	protected function render() {

	$settings = $this->get_settings_for_display();
	?>
		<?php if( $settings['layout_style'] == '2' ): ?>
			<div class="counter-wrap style3">
                <div class="counter-line"></div>
                <div class="row gy-40">
					<?php foreach( $settings['counter_list'] as $data ): ?>
                    <div class="col-sm-6 col-lg-3">
                        <div class="counter-card style3">
                            <div class="counter-card_icon" data-bg-src="<?php echo esc_url($settings['shape']['url']); ?>">
								<?php echo taxiar_img_tag( array(
									'url'   => esc_url( $data['counter_icon']['url']  ),
								)); ?>
                            </div>
                            <div class="counter-card_number th-num"><span class="counter-number"><?php echo esc_html( $data['counter_number'] ) ?></span><?php echo wp_kses_post( $data['counter_number_after'] ) ?></div>
                            <p class="counter-card_text th-title"><?php echo wp_kses_post( $data['counter_text'] ) ?></p>
                        </div>
                    </div>
					<?php endforeach; ?>
                </div>
            </div>
		<?php elseif( $settings['layout_style'] == '3' ): ?>
			<div class="circle-counter-wrapper">
				<?php foreach( $settings['counter_list_2'] as $data ): ?>
				<div class="counter-item">
					<div class="counter-item_number th-num">
						<span class="counter-number th-num"><?php echo esc_html( $data['counter_number'] ) ?></span><?php echo wp_kses_post( $data['counter_number_after'] ); ?>
					</div>
					<h3 class="counter-item_title th-title"><?php echo esc_html( $data['counter_text'] ) ?></h3>
					<p class="counter-item_text th-desc"><?php echo esc_html( $data['counter_text2'] ) ?></p>
				</div>
				<?php endforeach; ?>
			</div>

		<?php else: ?>
			<div class="counter-wrap style2">
				<div class="counter-line"></div>
				<div class="counter-wrapper">
					<?php foreach( $settings['counter_list'] as $data ): ?>
					<div class="counter-card style2">
						<div class="counter-card_icon">
							<?php echo taxiar_img_tag( array(
								'url'   => esc_url( $data['counter_icon']['url']  ),
							)); ?>
						</div>
						<div class="counter-card_number th-num">
							<span class="counter-number"><?php echo esc_html( $data['counter_number'] ) ?></span><?php echo wp_kses_post( $data['counter_number_after'] ); ?>
						</div>
						<p class="counter-card_text th-title"><?php echo wp_kses_post( $data['counter_text'] ) ?></p>
					</div>
					<?php endforeach; ?>
				</div>
			</div>

		<?php endif;

	}

}