<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Info Box Widget .
 *
 */
class taxiar_Info_Box extends Widget_Base {

	public function get_name() {
		return 'taxiarinfobox';
	}
	public function get_title() {
		return __( 'Info Box', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Info Box', 'taxiar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'taxiar' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'taxiar' ),											
					'2'  		=> __( 'Style Two', 'taxiar' ),											
				],
			]
		);

		$this->add_control(
			'image',
			[
				'label' 		=> __( 'Choose Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				// 'condition'	=> [
				// 	'layout_style' => ['1']
				// ]	
			]
		);  

		$this->add_control(
			'title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Title' , 'taxiar' ),
				'label_block'   => true,
				'rows' 		=> 3,
				'condition'	=> [
					'layout_style' => ['2']
				]	
			]
		);

		$this->add_control(
			'features',
			[
				'label' 	=> __( 'Features', 'taxiar' ),
                'type' 		=> Controls_Manager::WYSIWYG,
                'default'  	=> __( '', 'taxiar' )
			]
        );

        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();
    ?>

        <?php if( $settings['layout_style'] == '2' ): ?>
			<div class="advantage-list_wrapper">
				<div class="advantage-img">
					<?php echo taxiar_img_tag( array(
						'url'   => esc_url( $settings['image']['url'] ),
					)); ?>
				</div>
				<div class="checklist">
					<p class="advan-list-title"><?php echo wp_kses_post($settings['title']); ?></p>
					<?php echo wp_kses_post($settings['features']); ?>
				</div>
			</div>
   
    	<?php else: ?>
			<div class="journey-wrap style2">
				<div class="journey-image">
				<?php echo taxiar_img_tag( array(
					'url'   => esc_url( $settings['image']['url'] ),
				)); ?>
				</div>
				<div class="checklist">
					<?php echo wp_kses_post($settings['features']); ?>
				</div>
			</div>

	<?php  endif;

	}

}