<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
/**
 *
 * Service Tab Widget .
 *
 */
class Taxiar_Service_Tab extends Widget_Base{

	public function get_name() {
		return 'taxiarservicetab';
	}
	public function get_title() {
		return __( 'Service Tab', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'portfolio_filter_section',
			[
				'label' 	=> __( 'Service Tab', 'souler' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
		);

        $this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
				],
			]
		);

		$repeater = new Repeater();

		$repeater->add_control(
			'service_icon',
			[
				'label'     => __( 'Service Icon', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);

		$repeater->add_control(
			'filter_subtitle',
            [
				'label'         => __( 'Filter Subitle', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default'       => __( 'Service - 01' , 'taxiar' ),
				'label_block'   => true,
			]
		);		

		$repeater->add_control(
			'filter_title',
            [
				'label'         => __( 'Filter Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default'       => __( 'Service - 01' , 'taxiar' ),
				'label_block'   => true,
			]
		);

		$repeater->add_control(
			'service_image',
			[
				'label'     => __( 'Service Image', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],
			]
		);

		$repeater->add_control(
			'service_subtitle',
            [
				'label'         => __( 'Subitle', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default'       => __( 'Our Service is all time best' , 'taxiar' ),
				'label_block'   => true,
			]
		);		

		$repeater->add_control(
			'service_title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default'       => __( 'Airport Transport' , 'taxiar' ),
				'label_block'   => true,
			]
		);

		$repeater->add_control(
			'service_desc',
            [
				'label'         => __( 'Description', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'rows' 			=> 4,
				'default'       => __( 'Monetize flexible action items before mission critical rabidly intuitive. Credit extend wireless experiences.' , 'taxiar' ),
				'label_block'   => true,
			]
		); 

		$repeater->add_control(
			'feature_icon',
			[
				'label'     => __( 'Feature Icon 1', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label',
            [
				'label'         => __( 'Feature Label 1', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);
        $repeater->add_control(
			'feature_content',
            [
				'label'         => __( 'Feature Value 1', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);

		$repeater->add_control(
			'feature_icon2',
			[
				'label'     => __( 'Feature Icon 2', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label2',
            [
				'label'         => __( 'Feature Label 2', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);
        $repeater->add_control(
			'feature_content2',
            [
				'label'         => __( 'Feature Value 2', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);

		$repeater->add_control(
			'feature_icon3',
			[
				'label'     => __( 'Feature Icon 3', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label3',
            [
				'label'         => __( 'Feature Label 3', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);
        $repeater->add_control(
			'feature_content3',
            [
				'label'         => __( 'Feature Value 3', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);

		$repeater->add_control(
			'feature_icon4',
			[
				'label'     => __( 'Feature Icon 4', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label4',
            [
				'label'         => __( 'Feature Label 4', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);
        $repeater->add_control(
			'feature_content4',
            [
				'label'         => __( 'Feature Value 4', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);

		$repeater->add_control(
			'feature_icon5',
			[
				'label'     => __( 'Feature Icon 5', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label5',
            [
				'label'         => __( 'Feature Label 5', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);
        $repeater->add_control(
			'feature_content5',
            [
				'label'         => __( 'Feature Value 5', 'taxiar' ),
				'type'          => Controls_Manager::TEXT,
				'default'       => __( '' , 'taxiar' ),
			]
		);


		$repeater->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'default'  	=> __( 'Button Text', 'taxiar' )
			]
        );

        $repeater->add_control(
			'button_url',
			[
				'label' 		=> __( 'Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		);

		$this->add_control(
			'service_tab_lists',
			[
				'label' 		=> __( 'Service Tab', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'service_icon' 	=> Utils::get_placeholder_image_src(),
					]
				],
			]
		);

        $this->end_controls_section();

		//---------------------------------------
			//Style Section Start
		//---------------------------------------

      	//-------------------------Tab menu Style-----------------------//
		$this->start_controls_section(
			'menu_styling',
			[
				'label' 	=> __( 'Menu Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
        );

   		$this->add_control(
			'menu_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .service-list_content .service-list_text'	=> 'color: {{VALUE}}!important;',
				],
			]
        );

   		$this->add_control(
			'menu_color2',
			[
				'label' 		=> __( 'Color 2', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .service-list_content .service-list_title'	=> 'color: {{VALUE}}!important;',
				],
			]
        );

         $this->add_control(
			'menu_active_color',
			[
				'label' 		=> __( 'Active Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .slick-current .service-list_text'	=> 'color: {{VALUE}}!important;',
				],
			]
        );      

         $this->add_control(
			'menu_active_color2',
			[
				'label' 		=> __( 'Active Color 2', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .slick-current .service-list_title'	=> 'color: {{VALUE}}!important;',
				],
			]
        );       

        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'menu_typography',
		 		'label' 		=> __( 'Typography', 'taxiar' ),
		 		'selector' 	=> '{{WRAPPER}} .service-list_text',
			]
		);

        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'menu_typography2',
		 		'label' 		=> __( 'Typography 2', 'taxiar' ),
		 		'selector' 	=> '{{WRAPPER}} .service-list_title',
			]
		);

        $this->end_controls_section();

      	//-------------------------Content Style-----------------------//
		$this->start_controls_section(
			'tab_styling',
			[
				'label' 	=> __( 'Content Styling', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->start_controls_tabs(
			'style_tabs'
		);

			$this->start_controls_tab(
				'first_style_tab',
				[
					'label' => esc_html__( 'Sub Title', 'taxiar' ),
				]
			);

			$this->add_control(
				'first_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-sub'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'first_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-sub',
				]
			);

			$this->add_responsive_control(
				'first_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-sub' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'first_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-sub' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'sec_style_tab',
				[
					'label' => esc_html__( 'Title', 'taxiar' ),
				]
			);

			$this->add_control(
				'sec_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-title'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'sec_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-title',
				]
			);

			$this->add_responsive_control(
				'sec_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'sec_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------threth--------------------//
			$this->start_controls_tab(
				'third_style_tab',
				[
					'label' => esc_html__( 'Description', 'taxiar' ),
				]
			);

			$this->add_control(
				'third_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'third_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-desc',
				]
			);

			$this->add_responsive_control(
				'third_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'third_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

		$this->end_controls_tabs();
		$this->end_controls_section();
	
		//-------------------------Button Style-----------------------//
		$this->start_controls_section(
			'button_style_section',
			[
				'label' 	=> __( 'Button Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'button_typography',
				'label' 	=> __( 'Typography', 'taxiar' ),
				'selector' 	=> '{{WRAPPER}} .th_btn',
			]
		);

		$this->start_controls_tabs(
			'button_style_tabs'
		);

			$this->start_controls_tab(
				'normal_style_tab',
				[
					'label' => esc_html__( 'Normal', 'taxiar' ),
				]
			);

			$this->add_control(
				'button_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn' => 'color: {{VALUE}}',
					],
				]
			);

			$this->add_control(
				'button_bg',
				[
					'label' 		=> __( 'Background Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn' => 'background-color:{{VALUE}}',
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' => 'border',
					'selector' => '{{WRAPPER}} .th_btn',
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'hover_style_tab',
				[
					'label' => esc_html__( 'Hover', 'taxiar' ),
				]
			);

			$this->add_control(
				'button_h_color',
				[
					'label' 		=> __( 'Hover Color ', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn:hover' => 'color: {{VALUE}}',
					],
				]
			);

			$this->add_control(
				'button_h_bg',
				[
					'label' 		=> __( 'Background Hover Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn:before, {{WRAPPER}} .th_btn:after' => 'background-color:{{VALUE}} !important',
					],
				]
			);

			$this->add_group_control(
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' => 'border2',
					'selector' => '{{WRAPPER}} .th_btn:hover',
				]
			);

			$this->end_controls_tab();

		$this->end_controls_tabs();

		$this->add_control(
			'hr',
			[
				'type' => \Elementor\Controls_Manager::DIVIDER,
			]
		);

		$this->add_responsive_control(
			'button_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->add_responsive_control(
			'button_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->add_responsive_control(
			'button_border_radius',
			[
				'label' 		=> __( 'Border Radius', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th_btn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->end_controls_section();

	}
	
	
	protected function render() {

    $settings = $this->get_settings_for_display();
    ?>

		<div class="row slider-shadow th-carousel" id="slideListTab2" data-asnavfor="#slideListBox" data-slide-show="3" data-lg-slide-show="3" data-md-slide-show="3" data-sm-slide-show="3" data-xs-slide-show="3" data-arrows="true" data-center-mode="true" data-xl-center-mode="true" data-ml-center-mode="true" data-lg-center-mode="true" data-md-center-mode="true" data-sm-center-mode="true" data-xs-center-mode="true">
			<?php foreach( $settings['service_tab_lists'] as $data ): ?>
			<div class="col-md-6 col-lg-4">
				<div class="service-list">
					<div class="service-list_icon">
						<?php echo taxiar_img_tag( array(
							'url'   => esc_url( $data['service_icon']['url'] ),
						)); ?>
					</div>
					<div class="service-list_content">
						<span class="service-list_text"><?php echo esc_html($data['filter_subtitle']); ?></span>
						<h3 class="service-list_title"><?php echo esc_html($data['filter_title']); ?></h3>
					</div>
				</div>
			</div>
			<?php endforeach; ?>
		</div>
		<div class="service-list-area">
            <div class="th-carousel" id="slideListBox" data-fade="true" data-asnavfor="#slideListTab2">
				<?php foreach( $settings['service_tab_lists'] as $data ): ?>
				<div class="service-taxi">
					<div class="service-taxi-wrapper">
						<div class="service-taxi-image">
							<?php  echo taxiar_img_tag( array(
									'url'   => esc_url( $data['service_image']['url'] ),
								) ); ?>
						</div>
						<div class="service-taxi-content">
							<div class="taxi-about">
								<span class="taxi-about_rate th-sub"><?php echo esc_html($data['service_subtitle']); ?></span>
								<h4 class="taxi-about_title th-title"><?php echo esc_html($data['service_title']); ?></h4>
								<p class="taxi-about_text th-desc"><?php echo esc_html($data['service_desc']); ?></p> 
							</div>
							<div class="taxi-feature-wrapper">
								<div class="taxi-feature">
									<?php if(!empty($data['feature_icon']['url'])): ?>
									<div class="taxi-feature_icon">
									<?php echo taxiar_img_tag( array(
											'url'   => esc_url( $data['feature_icon']['url']  ),
										)); ?>
									</div>
									<?php endif; ?>
									<h3 class="taxi-feature_title"><?php echo esc_html( $data['feature_label'] );?></h3>
									<span class="taxi-feature_info"><?php echo esc_html($data['feature_content']); ?></span>
								</div>
								<div class="taxi-feature">
									<?php if(!empty($data['feature_icon']['url'])): ?>
									<div class="taxi-feature_icon">
										<?php echo taxiar_img_tag( array(
											'url'   => esc_url( $data['feature_icon2']['url']  ),
										)); ?>
									</div>
									<?php endif; ?>
									<h3 class="taxi-feature_title"><?php echo esc_html( $data['feature_label2'] );?></h3>
									<span class="taxi-feature_info"><?php echo esc_html($data['feature_content2']); ?></span>
								</div>
								<div class="taxi-feature">
									<?php if(!empty($data['feature_icon']['url'])): ?>
									<div class="taxi-feature_icon">
										<?php echo taxiar_img_tag( array(
											'url'   => esc_url( $data['feature_icon3']['url']  ),
										)); ?>
									</div>
									<?php endif; ?>
									<h3 class="taxi-feature_title"><?php echo esc_html( $data['feature_label3'] );?></h3>
									<span class="taxi-feature_info"><?php echo esc_html($data['feature_content3']); ?></span>
								</div>
								<div class="taxi-feature">
									<?php if(!empty($data['feature_icon']['url'])): ?>
									<div class="taxi-feature_icon">
										<?php echo taxiar_img_tag( array(
											'url'   => esc_url( $data['feature_icon4']['url']  ),
										)); ?>
									</div>
									<?php endif; ?>
									<h3 class="taxi-feature_title"><?php echo esc_html( $data['feature_label4'] );?></h3>
									<span class="taxi-feature_info"><?php echo esc_html($data['feature_content4']); ?></span>
								</div>
								<div class="taxi-feature">
									<?php if(!empty($data['feature_icon']['url'])): ?>
									<div class="taxi-feature_icon">
										<?php echo taxiar_img_tag( array(
											'url'   => esc_url( $data['feature_icon5']['url']  ),
										)); ?>
									</div>
									<?php endif; ?>
									<h3 class="taxi-feature_title"><?php echo esc_html( $data['feature_label5'] );?></h3>
									<span class="taxi-feature_info"><?php echo esc_html($data['feature_content5']); ?></span>
								</div>
							</div>
							<a href="<?php echo esc_url($data['button_url']['url']); ?>" class="th-btn radius-btn2 th_btn"><?php echo wp_kses_post($data['button_text']); ?></a>
						</div>
					</div>
				</div>
				<?php endforeach; ?>
			</div>
		</div>

		<?php

	}
}