<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Service Widget .
 *
 */
class taxiar_Service extends Widget_Base {

	public function get_name() {
		return 'taxiarservice';
	}
	public function get_title() {
		return __( 'Services', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'service_section',
			[
				'label'     => __( 'Services', 'taxiar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Services Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2'  		=> __( 'Style Two', 'taxiar' ),
					'3'  		=> __( 'Style Three', 'taxiar' ),
					// '4'  		=> __( 'Style Four', 'taxiar' ),
				],
			]
		);

		$this->add_control(
			'arrow_id', [
				'label' 		=> __( 'Arrow ID', 'taxiar' ),
				'description' 		=> __( 'If arrow widget connect this slider', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'serviceSlide' , 'taxiar' ),
				'rows' 			=> 2,
				'condition'	=> [
					'layout_style' => ['1', '2']
				]
			]
        );

		$this->add_control(
			'shape',
			[
				'label'     => __( 'Background Shape', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				// 'condition'	=> [
				// 	'layout_style' => ['1', '2']
				// ]
			]
		);

		$repeater = new Repeater();

		$repeater->add_control(
			'service_img',
			[
				'label'     => __( 'Image', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'default' 		=> [
					'url' 		=> Utils::get_placeholder_image_src(),
				],
			]
		);

        $repeater->add_control(
			'service_title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Title' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater->add_control(
			'service_desc',
            [
				'label'         => __( 'Description', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Description' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '4'
			]
		);

		$repeater->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'label_block' => true,
                'default'  	=> __( 'Read More', 'taxiar' )
			]
        );

        $repeater->add_control(
			'button_link',
			[
				'label' 		=> __( 'Button Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		);

		$this->add_control(
			'service_list',
			[
				'label' 		=> __( 'Service Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'service_title' 		=> __( 'Personalized Learning', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1', '3']
				]
			]
		);

		$repeater2 = new Repeater();

		$repeater2->add_control(
			'service_img',
			[
				'label'     => __( 'Image', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'default' 		=> [
					'url' 		=> Utils::get_placeholder_image_src(),
				],
			]
		);

        $repeater2->add_control(
			'service_subtitle',
            [
				'label'         => __( 'Subtitle', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater2->add_control(
			'service_title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Title' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater2->add_control(
			'service_desc',
            [
				'label'         => __( 'Description', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Description' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '4'
			]
		);

		$repeater2->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'label_block' => true,
                'default'  	=> __( 'Read More', 'taxiar' )
			]
        );

        $repeater2->add_control(
			'button_link',
			[
				'label' 		=> __( 'Button Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		);

		$this->add_control(
			'service_list_2',
			[
				'label' 		=> __( 'Service Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater2->get_controls(),
				'default' 		=> [
					[
						'service_title' 		=> __( 'Personalized Learning', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['2']
				]
			]
		);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------------------------Content Style-----------------------//
		$this->start_controls_section(
			'tab_styling',
			[
				'label' 	=> __( 'Content Styling', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->start_controls_tabs(
			'style_tabs'
		);

			$this->start_controls_tab(
				'first_style_tab',
				[
					'label' => esc_html__( 'Title', 'taxiar' ),
				]
			);

			$this->add_control(
				'first_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-title a'	=> 'color: {{VALUE}}!important;',
					],
				]
			);
			
			$this->add_control(
				'first_tab_color2',
				[
					'label' 		=> __( 'Hover Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-bg:hover .th-title a'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'first_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-title',
				]
			);

			$this->add_responsive_control(
				'first_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'first_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'sec_style_tab',
				[
					'label' => esc_html__( 'Content', 'taxiar' ),
				]
			);

			$this->add_control(
				'sec_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'sec_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-desc',
				]
			);

			$this->add_responsive_control(
				'sec_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'sec_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------threth--------------------//
			$this->start_controls_tab(
				'third_style_tab',
				[
					'label' => esc_html__( 'Button', 'taxiar' ),
				]
			);

			$this->add_control(
				'third_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn'	=> '--theme-color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_control(
				'third_tab_bg',
				[
					'label' 		=> __( 'Hover Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn:hover'	=> '--theme-color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'third_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th_btn',
				]
			);

			$this->add_responsive_control(
				'third_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th_btn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

		$this->end_controls_tabs();
		$this->end_controls_section();

	}

	protected function render() {

        $settings = $this->get_settings_for_display();
    ?>

    <?php if( $settings['layout_style'] == '2' ): ?>
		<div class="row slider-shadow th-carousel" id="<?php echo esc_attr($settings['arrow_id']) ?>" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2">
			<?php foreach( $settings['service_list_2'] as $data ): ?>
			<div class="col-md-6 col-lg-4">
				<div class="service-card style2">
					<div class="service-card_overlay" data-bg-src="<?php echo esc_url($settings['shape']['url']); ?>"></div>
					<div class="service-card_content">
						<div class="service-card_wrapper">
							<div class="service-card_icon">
								<?php echo taxiar_img_tag( array(
									'url'   => esc_url( $data['service_img']['url']  ),
								)); ?>
							</div>
							<div>
								<span class="service-card_subtitle"><?php echo esc_html( $data['service_subtitle'] ); ?></span>
								<h3 class="service-card_title"><a href="<?php echo esc_url( $data['button_link']['url'] ); ?>"><?php echo esc_html( $data['service_title'] ); ?></a></h3>
							</div>
						</div>
						<p class="service-card_text"><?php echo esc_html( $data['service_desc'] );  ?></p>
						<?php if(!empty($data['button_text'])): ?>
							<a href="<?php echo esc_url( $data['button_link']['url'] ); ?>" class="th-btn"><?php echo wp_kses_post( $data['button_text'] );  ?></a>
						<?php endif; ?>
					</div>

				</div>
			</div>
			<?php endforeach; ?>
		</div>

	<?php elseif( $settings['layout_style'] == '3' ): ?>
		<div class="row gy-4">
			<?php foreach( $settings['service_list'] as $data ): ?>
			<div class="col-md-6 col-lg-6 col-xl-4 ">
				<div class="service-item style2 th-bg wow fadeInUp" data-bg-src="<?php echo esc_url($settings['shape']['url']); ?>">
					<div class="service-item_img">
						<?php echo taxiar_img_tag( array(
								'url'   => esc_url( $data['service_img']['url']  ),
							)); ?>
					</div>
					<div class="service-item_content">
						<h3 class="service-item_title th-title"><a href="<?php echo esc_url( $data['button_link']['url'] ); ?>"><?php echo esc_html( $data['service_title'] ); ?></a></h3>
						<p class="service-item_text th-desc"><?php echo esc_html( $data['service_desc'] );  ?></p>
						<?php if(!empty($data['button_text'])): ?>
							<a href="<?php echo esc_url( $data['button_link']['url'] ); ?>" class="line-btn th_btn"><?php echo wp_kses_post( $data['button_text'] );  ?></a>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<?php endforeach; ?>
		</div>

    <?php else: ?>
		<div class="row slider-shadow th-carousel arrow-wrap" id="<?php echo esc_attr($settings['arrow_id']) ?>" data-slide-show="3" data-lg-slide-show="3" data-md-slide-show="2" data-sm-slide-show="1" data-xs-slide-show="1">
			<?php foreach( $settings['service_list'] as $data ): ?>
			<div class="col-md-6 col-lg-4 col-xl-3  ">
				<div class="service-item th-bg wow fadeInUp" data-bg-src="<?php echo esc_url($settings['shape']['url']); ?>">
					<div class="service-item_img">
						<?php echo taxiar_img_tag( array(
								'url'   => esc_url( $data['service_img']['url']  ),
							)); ?>
					</div>
					<div class="service-item_content">
						<h3 class="service-item_title th-title"><a href="<?php echo esc_url( $data['button_link']['url'] ); ?>"><?php echo esc_html( $data['service_title'] ); ?></a></h3>
						<p class="service-item_text th-desc"><?php echo esc_html( $data['service_desc'] );  ?></p>
						<?php if(!empty($data['button_text'])): ?>
							<a href="<?php echo esc_url( $data['button_link']['url'] ); ?>" class="line-btn th_btn"><?php echo wp_kses_post( $data['button_text'] );  ?></a>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<?php endforeach; ?>
		</div>

    <?php endif; 

	}

}