<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Step Widget .
 *
 */
class taxiar_Step extends Widget_Base {

	public function get_name() {
		return 'taxiarstep';
	}
	public function get_title() {
		return __( 'Step/Process', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Steps', 'taxiar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'taxiar' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'taxiar' ),					
					'2'  		=> __( 'Style Two', 'taxiar' ),					
				],
			]
		);

		$this->add_control(
			'image',
			[
				'label'     => __( 'Line', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'condition'	=> [
					'layout_style' => ['1']
				]
			]
		);

		$repeater = new Repeater();

		$repeater->add_control(
			'shape',
			[
				'label'     => __( 'Shape', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);

		$repeater->add_control(
			'icon',
			[
				'label'     => __( 'Icon', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);

		$repeater->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Online Quote', 'taxiar' )
			]
        );

		$repeater->add_control(
			'desc',
			[
				'label' 	=> __( 'Description', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 4,
                'default'  	=> __( 'Description here', 'taxiar' )
			]
        );

		$repeater->add_control(
			'number',
			[
				'label' 	=> __( 'Number', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( '01', 'taxiar' )
			]
        );

		$this->add_control(
			'info_lists',
			[
				'label' 		=> __( 'Info Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title'    => __( 'Online Quote', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1'],
				]
			]
		);

		$repeater2 = new Repeater();

		$repeater2->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'STEP ONE', 'taxiar' )
			]
        );

		$repeater2->add_control(
			'desc',
			[
				'label' 	=> __( 'Description', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 4,
                'default'  	=> __( 'Description here', 'taxiar' )
			]
        );

		$repeater2->add_control(
			'number',
			[
				'label' 	=> __( 'Number', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( '01', 'taxiar' )
			]
        );

		$this->add_control(
			'info_lists_2',
			[
				'label' 		=> __( 'Step Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater2->get_controls(),
				'default' 		=> [
					[
						'title'    => __( 'STEP ONE', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['2'],
				]
			]
		);

        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		
		//-------------------------Title Style-----------------------//
		$this->start_controls_section(
			'title_style',
			[
				'label' 	=> __( 'Title Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_control(
			'title_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'color: {{VALUE}} !important',
                ],
			]
        );

        $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'title_typography',
				'label' 	=> __( 'Typography', 'taxiar' ),
                'selector' 	=> '{{WRAPPER}} .th-title',
			]
        );

        $this->add_responsive_control(
			'title_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
        );

        $this->add_responsive_control(
			'title_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ]
			]
		);
		
		$this->end_controls_section();

		//-------------------------Description Style-----------------------//
		$this->start_controls_section(
			'desc_style',
			[
				'label' 	=> __( 'Description Style', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_control(
			'desc_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .th-desc' => 'color: {{VALUE}}',
				],
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' 		=> 'desc_typography',
				'label' 	=> __( 'Typography', 'taxiar' ),
				'selector' 	=> '{{WRAPPER}} .th-desc',
			]
		);

		$this->add_responsive_control(
			'desc_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-desc' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->add_responsive_control(
			'desc_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .th-desc' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				]
			]
		);

		$this->end_controls_section();

	}

	protected function render() {

	$settings = $this->get_settings_for_display();
	?>

        <?php if( $settings['layout_style'] == '2' ): ?>
			<div class="service-process-wrap style2">
				<?php foreach( $settings['info_lists_2'] as $data ): ?>
				<div class="service-process">
					<div class="service-process_num"><?php echo esc_html($data['number']); ?></div>
					<h5 class="service-process_title th-title"><?php echo esc_html($data['title']); ?></h5>
					<p class="service-process_text th-desc"><?php echo esc_html($data['desc']); ?></p>
				</div>
				<?php endforeach; ?>
			</div>

    	<?php else: ?>
			<div class="process-box-wrapper style2">
                <div class="row gy-30 justify-content-center">
					<?php foreach( $settings['info_lists'] as $data ): ?>
                    <div class="col-md-6 col-lg-4">
                        <div class="process-item" data-bg-src="<?php echo esc_url( $data['shape']['url'] ); ?>">
							<?php if(!empty(esc_url( $data['icon']['url']))): ?>
                            <div class="process-item_icon">
								<?php echo taxiar_img_tag( array(
									'url'   => esc_url( $data['icon']['url'] ),
								)); ?>
                            </div>
							<?php endif; ?>
                            <h3 class="process-item_title th-title"><?php echo esc_html($data['title']); ?></h3>
                            <p class="process-item_text th-desc"><?php echo esc_html($data['desc']); ?></p>
							<?php if(!empty(esc_html($data['number']))): ?>
                            <span class="process-item_num"><?php echo esc_html($data['number']); ?></span>
							<?php endif; ?>
                        </div>
                    </div>
					<?php endforeach; ?>
                    <span class="process-line">
						<?php echo taxiar_img_tag( array(
							'url'   => esc_url( $settings['image']['url']  ),
						)); ?>
                    </span>
                </div>
            </div>

		<?php endif;

	}

}