<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Tab Builder Widget .
 *
 */
class taxiar_Tab_Builder extends Widget_Base {

	public function get_name() {
		return 'taxiartabbuilder';
	}
	public function get_title() {
		return __( 'Tab Builder', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
    public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'tab_builder_section',
			[
				'label' 	=> __( 'Tab Builder', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Layout Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2'  		=> __( 'Style Two', 'taxiar' ),
				],
			]
		);

		$repeater = new Repeater();

        $repeater->add_control(
			'tab_builder_text',
			[
				'label' 	=> __( 'Tab Builder Title', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		 => '2',			]
        );

		$repeater->add_control(
			'taxiar_tab_builder_option',
			[
				'label'     => __( 'Tab Name', 'taxiar' ),
				'type'      => Controls_Manager::SELECT,
				'options'   => $this->taxiar_tab_builder_choose_option(),
				'default'	=> ''
			]
		);

		$this->add_control(
			'tab_builder_repeater',
			[
				'label' 		=> __( 'Tab', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'tab_builder_text'    => __( 'Town Taxi', 'taxiar' ),
					],
					
				],
				'title_field' 	=> '{{{ tab_builder_text }}}',
			]
		);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------


    }

	public function taxiar_tab_builder_choose_option(){

		$taxiar_post_query = new WP_Query( array(
			'post_type'				=> 'taxiar_tab_builder',
			'posts_per_page'	    => -1,
		) );

		$taxiar_tab_builder_title = array();
		$taxiar_tab_builder_title[''] = __( 'Select a Tab','Foodelio');

		while( $taxiar_post_query->have_posts() ) {
			$taxiar_post_query->the_post();
			$taxiar_tab_builder_title[ get_the_ID() ] =  get_the_title();
		}
		wp_reset_postdata();

		return $taxiar_tab_builder_title;

	}

	protected function render() {

        $settings = $this->get_settings_for_display();
	?>
	 	<?php if( $settings['layout_style'] == '3' ): ?>

		<?php else: 
			$style = ( $settings['layout_style'] == '2' ) ? 'style3':'style2';
		?>
			<div class="nav tab-menu4 <?php echo esc_attr($style); ?>" id="tab-menu4" role="tablist">
				<?php 
					$x = 0;
					foreach( $settings['tab_builder_repeater'] as $single_menu ): 
					$x++;
					$active = $x == '1' ? 'active':'';
				?>
                <button class="<?php echo $active; ?>" id="nav-one-tab<?php echo $x; ?>" data-bs-toggle="tab" data-bs-target="#nav-one<?php echo $x; ?>" type="button" role="tab" aria-controls="nav-one<?php echo $x; ?>" aria-selected="true"><?php echo esc_html( $single_menu['tab_builder_text'] ); ?></button>
                <?php endforeach; ?>
            </div>
            <div class="tab-content">
				<?php 
					$x = 0;
					foreach( $settings['tab_builder_repeater'] as $single_menu ): 
					$x++;
					$active = $x == '1' ? 'active show':'';
				?>
                <div class="tab-pane fade  <?php echo $active; ?>" id="nav-one<?php echo $x; ?>" role="tabpanel" aria-labelledby="nav-one-tab<?php echo $x; ?>">
					<?php $elementor = \Elementor\Plugin::instance();
					if( ! empty( $single_menu['taxiar_tab_builder_option'] ) ){
						echo $elementor->frontend->get_builder_content_for_display( $single_menu['taxiar_tab_builder_option'] );
					} ?>
                </div>
				<?php endforeach; ?>
            </div>

		<?php endif;
      
	}
}